# yiapi 是什么？

中文名称 `易接口`。

一个注重效率和速度的 `Node.js` 接口开发框架，不做大而全，只做小部分开发者的小而美。

## 作者介绍

[前端之虎陈随易 https://chensuiyi.me](https://chensuiyi.me)

## 文档教程

[文档地址](https://me.yicode.tech/1-开源世界/3-yiapi/1-基本简介/1-基本介绍.html)

## 功能特点

-   只需 `简单配置`，即可快速上手开发。
-   默认支持 `微信扫码` 登录注册功能，解决垃圾账号和短信费用问题。
-   自动生成 `接口文档`，方便前后端对接。
-   自带 `权限`、`角色`、`管理`、`日志`、`菜单`、`接口`、`字典` 等基础功能。
-   自带 `邮件发送`，`文件上传` 等功能。
-   自带 `日志打印` 和 `日志分割` 功能。
-   自带 `jwt` 鉴权机制。
-   自带 `登录日志`，`邮件日志` 等功能。
-   自带 `微信支付` 功能，支持 `多产品`、`折扣`、`优惠`。
-   自带配套的后台管理系统 `yiadmin`，30 分钟搭建一个后台管理系统。
-   默认已处理 `跨域` 问题，无需再为跨域担心。
-   优先使用 `缓存`，提高接口性能。
-   默认提供 `静态文件托管` 功能。
-   支持 `定时任务` 功能。
-   可以 `一键更新` 内核驱动、系统字段、后台管理源码。
-   方便的 `接口参数验证` 功能，极大减少安全隐患。

## 功能限制

-   仅支持单机部署。
-   仅支持单角色权限。
-   仅支持 `mysql` 数据库。
-   不支持分库分表。
-   仅支持`get`和`post`请求。
-   仅支持停服升级数据库。

## 仓库地址

点个星星，老铁。

[gitee - https://gitee.com/chenbimo/yicode](https://gitee.com/chenbimo/yicode)

[github - https://github.com/chenbimo/yicode](https://github.com/chenbimo/yicode)

## 实际效果

使用 `yiapi` + `vue3` 研发的免费开源的 `(yiadmin) 易管理` 后台管理系统。

![随易科技](https://static.yicode.tech/images/202306/20230615215924.png)

## 适合场景

-   适合单机，单数据库的的项目。
-   小型项目、博客系统、论坛系统、官网、后台管理等。
-   需要一个简单、轻量、快速、方便的 `nodejs` 接口开发框架。

## 注意事项

-   大型项目、特殊要求、高要求项目，请使用前仔细调研再做决定。
-   要求分布式，分库分表等需求请勿使用本项目。

## 版权说明

`yiapi(易接口)` 使用 `Apache 2.0` 协议开源

> 一句话总结：开源不等于放弃版权，不可侵犯原作者版权，改动处要做说明，可以闭源使用。

拥有版权（Copyright）意味着你对你开发的软件及其源代码拥有著作权，所有权和其他法定权利，使用一个开源协议并不意味着放弃版权。

在 `Apache 2.0` 协议许可下，您可以：

-   **商业化使用**（这意味着，您可以出于商业目的使用这些源代码）
-   **再分发**（这意味着，您可以将源代码副本传输给其他任何人）
-   **修改**（这意味着，您可以修改源代码）
-   **专利使用**（这意味着，版权人明确声明授予您专利使用权）
-   **私人使用**（这意味着，您可以出于一切目的私下使用和修改源代码）

唯须遵守以下条款：

-   **协议和版权通知**（这意味着，软件中必须包含许可证和版权声明的副本）
-   **状态更改说明**（如果您更改软件，您应当提供适当的说明）

除此之外，该软件：

-   **提供责任限制**（版权人声明不对使用者造成的任何损失负责）
-   **限制商标使用** (不能使用版权人的商标)
-   **不提供任何担保**（版权人声明不为该软件的品质提供任何担保）

进一步说明：

1. 本软件又叫本 **作品**，可以是源码，也可以是编译或转换后的其他形式。**衍生作品** 是在本作品的基础上修改后的有原创性的工作成果。本作品的 **贡献者** 包括许可人和其他提交了贡献的人，以下统称 **我**。
2. 我授予你权利：你可以免费复制、使用、修改、再许可、分发本作品及衍生作品（可以不用公开源码）。
3. 如果本软件涉及我的专利（或潜在专利），我在此授予你专利许可，你可以永久性地免费使用此专利，用于制作、使用、出售、转让本作品。如果你哪天居然告本作品侵权，你的专利许可在你告我那天被收回。
4. 你在复制和分发本作品或衍生作品时，要满足以下条件。

    - 带一份本许可证。
    - 如果你修改了什么，要在改动的文件中有明显的修改声明。
    - 如果你以源码形式分发，你必须保留本作品的版权、专利、商标和归属声明。
    - 如果本作品带了 **NOTICE** 文件，你就得带上 **NOTICE** 文件中包含的归属声明。即便你的发布是不带源码的，你也得带上此文件，并在作品某处予以展示。
    - 你可以对自己的修改添加版权说明。对于你的修改或者整个衍生作品，你可以使用不同的许可，但你对本作品的使用、复制和分发等，必须符合本许可证规定。

5. 你提交贡献就表明你默认遵守本许可的条款和条件。当然，你可以和我签订另外的专门的条款。
6. 你不许使用我的商品名、商标、服务标志或产品名。
7. 本作品是 **按原样**（AS IS）提供的，没有任何保证啊，你懂的。
8. 我可不负任何责任。除非我书面同意，或者法律有这样的要求（例如对故意和重大过失行为负责）。
9. 你可以向别人提供保证，你可以向别人收费，但那都是你的事，别给我惹麻烦。

注意以上的 **我**，既包含了许可人，也包含了每位 **贡献者**。
